Smartwatch - Compatibilty


iOS

  • iPhone 5S or newer
  • iPad 3rd Gen or newer
  • iPad Mini or newer
  • iPad Pro or newer
  • iPod Touch 5th Gen or newer

Apple Device requirements

  • iOS 9 or higher
  • Bluetooth 4.0

Messaging compatibility: Please note, iOS does not allow the watch to send or reply to messages. You can view (only view) your SMS messages in Notifications on your watch.

apple-app-store
 

Android

  • Samsung Galaxy (S5 or newer)
  • Nexus (4 or newer)
  • OnePlus (3 or newer)
  • HTC one (M8 or newer)
  • Google Pixel 1 & 2

Android device requirements:

  • Android 5.0 or higher (with the exception of Marshmallow 6.0.0)
  • Bluetooth 4.0

If your Android device is not on this list, that means we have not officially tested with your device type. We cannot guarantee connectivity.

Not compatible with Motorola devices

 

en_badge_web_generic.png
 
 

Still can't find what you need?